```@meta
CurrentModule = Crystallography
```

# Crystallography

Documentation for [Crystallography](https://github.com/MineralsCloud/Crystallography.jl).

## Package Features

Provides some types and methods for crystallography calculations.

See the [Index](@ref main-index) for the complete list of documented functions
and types.

The code is [hosted on GitHub](https://github.com/MineralsCloud/Crystallography.jl),
with some continuous integration services to test its validity.

This repository is created and maintained by [singularitti](https://github.com/singularitti).
You are very welcome to contribute.

## Compatibility

- [Julia version: `v1.3.0` to `v1.6.1`](https://julialang.org/downloads/)
- Dependencies:
  - [`CoordinateTransformations.jl`](https://github.com/JuliaGeometry/CoordinateTransformations.jl) `v0.5.1` and above
  - [`CrystallographyBase.jl`](https://github.com/MineralsCloud/CrystallographyBase.jl) `v0.1.0` and above
  - [`StaticArrays.jl`](https://github.com/JuliaArrays/StaticArrays.jl) `v0.8.3` and above
- OS: macOS, Linux, Windows, and FreeBSD
- Architecture: x86, x64, ARM

## Manual Outline

```@contents
Pages = [
    "installation.md",
    "develop.md",
    "api.md",
]
Depth = 3
```

## [Index](@id main-index)

```@index
```
